> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.mercoa.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server.

# Link Payees

POST https://api.mercoa.com/entity/{entityId}/addPayees
Content-Type: application/json

Create association between Entity and a given list of Payees. If a Payee has previously been archived, unarchive the Payee.

Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/entity/counterparty/add-payees

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `entityId` (string, required) — Entity ID or Entity ForeignID

### Body (application/json)

This endpoint expects an object.

- `payees` (list of string, required) — List of payee entity IDs or foreign IDs to associate with the entity
- `customizations` (list of object, optional) — List of customizations to apply to the payees. If the payee is not currently a counterparty of the entity, the counterparty will be created with the provided customizations.
  - `counterpartyId` (string, required)
  - `accounts` (list of object, optional) — The list of accounts the entity has with the counterparty.
    - `accountId` (string, required) — The ID the counterparty has assigned to this account.
    - `postalCode` (string, optional) — The postal code the counterparty has assigned to this account.
    - `nameOnAccount` (string, optional) — The name on the account the counterparty has assigned to this account.

## Errors

### 400 Bad Request

- `errorName` ("BadRequest", required)
- `content` (string, required)

### 401 Unauthorized

- `errorName` ("Unauthorized", required)
- `content` (string, required)

### 403 Forbidden

- `errorName` ("Forbidden", required)
- `content` (string, required)

### 404 Not Found

- `errorName` ("NotFound", required)
- `content` (string, required)

### 409 Conflict

- `errorName` ("Conflict", required)
- `content` (string, required)

### 500 Internal Server Error

- `errorName` ("InternalServerError", required)
- `content` (string, required)

### 501 Unimplemented

- `errorName` ("Unimplemented", required)
- `content` (string, required)

## Examples

**Request**

```json
{
  "payees": [
    "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
  ],
  "customizations": [
    {
      "counterpartyId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
      "accounts": [
        {
          "accountId": "85866843",
          "postalCode": "94105",
          "nameOnAccount": "John Doe"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Default
import requests

url = "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees"

payload = {
    "payees": ["ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"],
    "customizations": [
        {
            "counterpartyId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
            "accounts": [
                {
                    "accountId": "85866843",
                    "postalCode": "94105",
                    "nameOnAccount": "John Doe"
                }
            ]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```typescript Default
import { MercoaClient } from "@mercoa/javascript";

const client = new MercoaClient({ token: "YOUR_TOKEN" });
await client.entity.counterparty.addPayees("ent_8545a84e-a45f-41bf-bdf1-33b42a55812c", {
    payees: ["ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"],
    customizations: [{
            counterpartyId: "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
            accounts: [{
                    accountId: "85866843",
                    postalCode: "94105",
                    nameOnAccount: "John Doe"
                }]
        }]
});

```

```go Default
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees"

	payload := strings.NewReader("{\n  \"payees\": [\n    \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\"\n  ],\n  \"customizations\": [\n    {\n      \"counterpartyId\": \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\",\n      \"accounts\": [\n        {\n          \"accountId\": \"85866843\",\n          \"postalCode\": \"94105\",\n          \"nameOnAccount\": \"John Doe\"\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Default
require 'uri'
require 'net/http'

url = URI("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"payees\": [\n    \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\"\n  ],\n  \"customizations\": [\n    {\n      \"counterpartyId\": \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\",\n      \"accounts\": [\n        {\n          \"accountId\": \"85866843\",\n          \"postalCode\": \"94105\",\n          \"nameOnAccount\": \"John Doe\"\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"payees\": [\n    \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\"\n  ],\n  \"customizations\": [\n    {\n      \"counterpartyId\": \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\",\n      \"accounts\": [\n        {\n          \"accountId\": \"85866843\",\n          \"postalCode\": \"94105\",\n          \"nameOnAccount\": \"John Doe\"\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php Default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees', [
  'body' => '{
  "payees": [
    "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
  ],
  "customizations": [
    {
      "counterpartyId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
      "accounts": [
        {
          "accountId": "85866843",
          "postalCode": "94105",
          "nameOnAccount": "John Doe"
        }
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Default
using RestSharp;

var client = new RestClient("https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"payees\": [\n    \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\"\n  ],\n  \"customizations\": [\n    {\n      \"counterpartyId\": \"ent_21661ac1-a2a8-4465-a6c0-64474ba8181d\",\n      \"accounts\": [\n        {\n          \"accountId\": \"85866843\",\n          \"postalCode\": \"94105\",\n          \"nameOnAccount\": \"John Doe\"\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Default
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "payees": ["ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"],
  "customizations": [
    [
      "counterpartyId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
      "accounts": [
        [
          "accountId": "85866843",
          "postalCode": "94105",
          "nameOnAccount": "John Doe"
        ]
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/addPayees")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```